LogicalContent (CMDB Model API)
Keywords: com.collation.platform.model.topology.core.LogicalContent interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.core
Interface LogicalContent

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  CertificateFile, CICSFile, ConfigFile, DataFile, Directory, Document, DominoConnection, ExecutableFile, FileSystemContent, OracleSchemaDetail, PrivateKeyFile, SybaseConfigFile, SybaseDevice, ZReportFile

    public interface LogicalContent

extends LogicalElement

The LogicalContent class represents the contents of a file, database table, or other data container rather than the container itself. For example, the configuration statements contained in a particular file used by WebSphere would be LogicalContents ... whereas the file itself would be a container.

Naming Rules:
  0="URI"
Persistable:
  true
Table Name:
  CONTENT
Display Name:
  URI

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getChecksum()` A value calculated from the contents of the element, that can be used to check for validity or corruption of the data.
`ConfigFile` | `getConfigFile()`
`java.lang.String` | `getContent()` A summary description of the contents of this element.
`java.lang.String` | `getContentType()` A description of the type of content included in this element, such as XML or text or Microsoft Word document.
`java.lang.String` | `getFixedPath()` The location of the contents referred to by this element, expressed as a file path on a particular computer.
`java.lang.String` | `getURI()` A uniform resource identifier, specified according to the standard RFC3986 that identifies the contents of this element.
`boolean` | `hasChecksum()`
`boolean` | `hasConfigFile()`
`boolean` | `hasContent()`
`boolean` | `hasContentType()`
`boolean` | `hasFixedPath()`
`boolean` | `hasURI()`
`void` | `setChecksum(java.lang.String s)`
`void` | `setConfigFile(ConfigFile x)`
`void` | `setContent(java.lang.String s)`
`void` | `setContentType(java.lang.String s)`
`void` | `setFixedPath(java.lang.String path)`
`void` | `setURI(java.lang.String uri)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getConfigFile

    ConfigFile getConfigFile()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setConfigFile

    void setConfigFile(ConfigFile x)

### hasConfigFile

    boolean hasConfigFile()

### getURI

    java.lang.String getURI()
                            throws AttributeNotSetException

  A uniform resource identifier, specified according to the standard RFC3986 that identifies the contents of this element.

  Throws:
    `AttributeNotSetException`

### setURI

    void setURI(java.lang.String uri)

### hasURI

    boolean hasURI()

### getFixedPath

    java.lang.String getFixedPath()
                                  throws AttributeNotSetException

  The location of the contents referred to by this element, expressed as a file path on a particular computer. The expression of the path matches the environment in which the logical content is stored (i.e., the slashes and disk specification, if any, match the conventions for the operating system where the file is stored.

  Throws:
    `AttributeNotSetException`

### setFixedPath

    void setFixedPath(java.lang.String path)

### hasFixedPath

    boolean hasFixedPath()

### getContent

    java.lang.String getContent()
                                throws AttributeNotSetException

  A summary description of the contents of this element.

  Throws:
    `AttributeNotSetException`

### setContent

    void setContent(java.lang.String s)

### hasContent

    boolean hasContent()

### getChecksum

    java.lang.String getChecksum()
                                 throws AttributeNotSetException

  A value calculated from the contents of the element, that can be used to check for validity or corruption of the data. The algorithm used to calculate the checksum is not prescribed, and depends on the source of the logical content.

  Throws:
    `AttributeNotSetException`

### setChecksum

    void setChecksum(java.lang.String s)

### hasChecksum

    boolean hasChecksum()

### getContentType

    java.lang.String getContentType()
                                    throws AttributeNotSetException

  A description of the type of content included in this element, such as XML or text or Microsoft Word document.

  Throws:
    `AttributeNotSetException`

### setContentType

    void setContentType(java.lang.String s)

### hasContentType

    boolean hasContentType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD